import 'package:flutter/material.dart';
import 'package:hoshan/core/gen/assets.gen.dart';
import 'package:hoshan/ui/theme/text.dart';

class EmptyScreen extends StatelessWidget {
  final AssetGenImage image;
  final String title;
  final double? width;
  final double? height;
  final double scale;
  final TextStyle? style;
  const EmptyScreen(
      {super.key,
        required this.image,
        required this.title,
        this.width,
        this.height,
        this.scale = 1,
        this.style});

  @override
  Widget build(BuildContext context) {
    return Transform.scale(
      scale: scale,
      child: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          Center(
              child:
              SizedBox(width: 250, height: 250, child: image.image())),
          Text(
            title,
            style: style ??
                AppTextStyles.headline5
                    .copyWith(color: Theme.of(context).colorScheme.onSurface),
          ),
          const SizedBox(
            height: 4,
          ),
          Assets.image.empty.emptyTextUnderline.svg(width: width)
        ],
      ),
    );
  }
}
